<!DOCTYPE html>
<html>

<head>
	<meta charset="UTF-8" />
	<script type="text/javascript" src="https://code.jquery.com/jquery-2.2.4.min.js"></script>
	<title></title>
</head>

<body>
	<div id="parent">
	</div>
	<script type="text/javascript">
		(function ($) {
			$("#parent").append("<p id='p1'>1</p>");
			$("#parent").append("<p id='p2'>2</p>");
			$("#parent").append("<p id='p3'>3</p>");
			$("#p2").remove();
			$("#p1").click(function () {
				console.log(this)
				$(this).html("new 1");
			});
		})(jQuery);

		(function ($) {
			$("#parent").append("<p id='p1'>1</p>");
			$("#parent").append("<p id='p2'>2</p>");
			$("#parent").append("<p id='p3'>3</p>");
			$("#p2").remove();
			$("#p1").click(function () {
				console.log(this)
				$(this).html("new 1");
			});
		})(Underscore);

		var y = 1;

		function a(x, z) {
			console.log(this);
			console.log(x);
			console.log(z);
			console.log(this.y);
		}

		a();

		var a1 = a.bind({ y: 2 });

		a1();

		a.call({ y: 3 }, 10, 11.5);
		a.apply({ y: 4 }, [11, 12]);


		(function (x1) {
			console.log(x1);
		})(1);
		



	</script>
</body>

</html>